@import url('https://fonts.googleapis.com/css2?family=Alata&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* boilar plate start */
*,
*::after,
*::before{
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   font-family: 'Alata',sans-serif;
}
::-webkit-scrollbar{
    width: 8px;
}
::-webkit-scrollbar-track{
    background-color: #1f2531;
}
::-webkit-scrollbar-thumb{
    background-color:rgb(250,250,250);
    border-radius: 30px;
}
::-webkit-scrollbar-thumb:hover{
    background-color:rgb(180,180,180);   
}

html,
body,
.horizontal{
    overflow-x: hidden;
    /* cursor: url(./assets/circle-fill.svg),auto; */
    scroll-behavior: smooth;
    color: #fff;
}
/* boilar plate end */

/* Hero Section Start */


.section{
    background-color: #111;
    color:rgb(250,250,250);
    width: 100%;
    height: 100%;
    overflow-y: hidden;
}
.title-gradient{
    background:linear-gradient(
        90deg,
        rgb(255,224,234)20%,
        rgb(255,255,255)40%,
        rgb(206,255,224)90%
    );
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color:transparent;   
}

._content-wrap{
    max-width: 1220px;
    min-height: 100vh;
    margin: auto;
    padding: 4rem;
    display: flex;
    align-items: center;
    justify-content:space-between;
    gap: 4rem;
}
.hero{
    background: linear-gradient(rgb(8,7,11),rgb(23,28,35));
}
.nav{
    width: 100%;
    max-width: 1220px;
    margin:auto;
    padding:2rem 4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;  
    /* background-color: red; */
    padding-bottom: 0;
}
.nav_items{
    display: flex;
    gap: 2rem;
}

.nav_item a{
    color: white;
    text-decoration: none;
    font-size: 0.9rem;
}
.nav_item a:hover{
    color: #79ffb1;
    border-bottom: 2px solid #79ffb1;
    font-size: 0.9rem;
}
.hero_content{
flex: 1.5;
}
.hero_content_title{
    font-size: 2.5rem;
}
.hero_content_title--small{
    font-size: 1.7rem;
    display: block;
    -webkit-text-fill-color:white ;
    margin-bottom: 0.5rem;
}
.hero_content_title--accent{
    -webkit-text-fill-color: #79ffb1;
}
.hero_content_paragraph{
    margin: 1.2rem 0;
    color: rgb(149, 148, 148);
    font-weight: 400;
    font-family:"Poppins",sans-serif;
}
.hero_content_link{
    font-size: 0.9rem;
    margin-top: 1rem;
    color: rgb(180,180,180);
    text-decoration: none;
    border-bottom: 2px solid rgb(180,180,180);
}
.hero_content_link:hover{
    color:#79ffb1;
    border-bottom: 2px solid #79ffb1;
    font-size: 0.9rem;
    
}
.hero_illustration{
flex: 1;
position: relative;
}
.hero_illustration_image{
    width: 100%; 
}
.hero_illustration_content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    height:33px ;
    overflow: hidden;
    font-size: 20px;
    
}
.hero_illustration_text{
    margin: 5px 0;
}

/* Hero Section end */






/* Project section start */

.horizontal_animation_wrap{
    height: 100vh;
    display: flex;
}
.animation_content_wrap{
    display: flex;
    max-width: 1220px;
    padding: 2rem;
    gap: 5rem;
    margin: auto;
}
.animation_title{
    font-size: 2rem;
   flex:0 0 400px
}
.project{
    flex: 0 0 400px;
    background-color: rgb(23,28,35);
    border-radius: 15px;
    
}
.project_content{
    padding: 1.2rem;
}
.project_img img{
    width: 100%;
    height: 240px;
    object-fit: cover;
    object-position: top;
    border-radius: 15px 15px 0 0;
}
.project_title{
    font-size: 1.3rem;
}
.project_description{
    color: rgb(180,180,180);
    line-height: 1.5;
    margin: 0.5rem 0;
    font-size: 0.85rem;
    font-family: "Poppins" sans-serif;
    font-weight: 400;
}
.project_links{
    display: flex;
    margin-top: 1rem;
    gap: 2rem;
}
.project_links a{
    display: flex;
    text-decoration: none;
    color: rgb(180,180,180);
    font-size: 0.9rem;
}
.project_links a:hover{
    color:#79ffb1 ;
}

/* Project section end */




/* About Section Start */
.about{
    background:rgb(8,8,10);
}
.about ._content-wrap{
    flex-direction: column;
    justify-content: center;
    align-items: start;
}
.about_content_area{
    display: flex;
    gap: 4rem;
}
.about_title{
    font-size: 2rem;

}
.about_profile{
    box-shadow: 0px 10px 15px -3px rgb(34,34,79);
    padding: 1.2rem;
    border-radius: 15px;
    color: rgb(250,250,250);
    display: flex;
    flex-direction: column;
    align-items: center;
    flex:0 0 450px;
    gap: 15px;
    
   
}
.profile_img img{
   width: 198px;
   height: 198px;
   border-radius: 50%;
}
.profile_tags{
    font-size: 0.7rem;
    margin-top: 1rem;
}
.profile_bio{
    font-size: 0.7rem 0;
}
.profile_tags span{
    background: rgb(34,34,79);
    padding: 4px 10px;
    margin: 4px;
    border-radius: 15px;
    font-size: 1rem;
    display: inline-block;
    
}
.profile_links{
    display: flex;
}
.link-img {
    width: 30px;
}
.profile_links a{
    color: rgb(250,250,250);
    margin-right: 20px;
    
}
.profile_links a:hover{
    color:#79ffb1;
}
.about_hello{
    font-size: 2rem;
    margin-bottom:20px ;
}
.profile_dis{
    margin: 15px 0;
    font-family: "Poppins" sans-serif;
    font-weight: 400;
    line-height: 28px;
    font-size: 1.1rem;
}
/* About Section End */





/* Services section start */
.services{
    position: relative;
    background-color: rgb(8,8,22);
    overflow-x: hidden;
    
}
.services ._content-wrap{
    flex-direction: column;
    justify-content: center;
    align-items: start;
}
.services_title{
    font-size: 2rem;
}
.work-interest{
    font-weight: 400;
    font-family: sans-serif;
    line-height: 28px;
}
.service-item-container{
    position: absolute;
    height: 100%;
    width: 100%;
    right: 0;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
}
.service-card{
    background-color: rgb(23,28,35);
    max-width:900px ;
    padding: 40px;
    border-radius: 7px;
    display: flex;

}
.service-card_icon{
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}
.service-card_content{
    flex: 5;
    border-left: 1px solid rgb(54,64,77);
    padding-left: 30px;
}
.service-card_paragraph{
    color: rgb(180,180,180);
    line-height: 1.5;
    margin-top: 0.8rem;
}
.service_card_icon_wrapper{
    background-color: rgb(240,247,255);
    height: 70px;
    width: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70% ;
}
.service_card_icon_wrapper img{
    width: 40%;
}
.gsap-service-item-1{
    background-color: #14b8a6;
}
.gsap-service-item-2{
    background-color: #eab308;
}
.gsap-service-item-3{
    background-color: #0ea5e9;
}
.gsap-service-item-4{
    background-color: #f97316;
}
/* Services section end */


/* technologies section start */
.tech ._content-wrap{
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 5rem;
}
.tech_title{
    font-size: 2rem;
}
.tech_items-container{
    display: flex;
    flex-wrap: wrap;
    gap: 3rem;
    align-items:center;
   
}
.tech_item{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.7rem;
    background: rgb(23,28,35);
    height: 170px;
    flex: 0 0 170px;
    border-radius:2rem ;
}
.tech_item_img{
    width: 70px;
}
/* technologies section end */


/* contact section start */
.contact{
    background: rgb(8,8,15);
    position: relative;
    /* border: 2px solid red; */
}
.contact_title{
    font-size: 2rem;
}
.contact-body{
    display: flex;
    flex-direction: column;
    gap: 3rem;
    align-items: start;
}
.contact_content{
    font-weight: 400;
    font-family: sans-serif;
    line-height: 1.5rem;
}
.footer-nav{
    width: 100%;
    max-width: 1220px;
    margin:auto;
    padding:2rem 4rem;
    display: flex;
    justify-content: space-between;  
    position: absolute;
    right: 50%;
    bottom: 0;
    transform: translateX(50%);
    padding-bottom: 4rem;
    
}
.footer-nav_items{
    display: flex;
    gap: 2rem;
}

.footer-nav_item a{
    color: white;
    text-decoration: none;
    font-size: 0.9rem;
}
.footer-nav_item a:hover{
    color: #79ffb1;
    border-bottom: 2px solid #79ffb1;
    font-size: 0.9rem;
}
/* contact section end */



/* Responsive Start */
@media(max-width:1000px){
    /*responsive hero section */
    ._content-wrap{
        padding: 4rem 2rem;
        gap: 2rem;
    }
    .title-gradient{
        font-size: 1.5rem;
    }
    .hero_content_title--small{
        font-size: 1.3rem;
    }
    .hero ._content-wrap{
        display: flex;
        flex-direction: column;
        justify-content: start;
        gap: 4rem;
    }
    .hero{
        padding-top: 0;
        margin-top: 0;
    }
    .nav{
        padding: 2rem;
    }
    .nav_logo{
        font-size: 0.85rem;
    }
    .nav_items{
        gap: 1rem;
    }
    .hero_content{
        display: flex;
        flex-direction: column;
        flex: none;
    }
    .hero_illustration{
        display: flex;
        flex: none;
        justify-content: center;
    }
    .hero_illustration_image{
        max-height: 400px;
        width: 70%;
    }
    /*responsive project section */
    .animation_content_wrap{
        gap: 2rem;
    }
    .animation_title{
        max-width: 170px;
    }
    .project{
        flex: 0 0 290px;
        border-radius: 7px;
    }
    .project_img img{
        border-radius: 7px 7px 0 0;
    }
    .project_content{
        padding: 0.8rem;
    }
    /* responsive about */
    .about_content_area{
        flex-direction: column;
    }
    .about_profile{
        max-width: 500px;
        text-align: center;
    }
    .about_hello{
        font-size: 1.5rem;
    }
    /* responsive services */
    .service-item-container{
        padding: 1rem;
    }
    .service-card{
        padding: 15px;
    }
    .service-card_icon{
        margin-right: 15px;
    }
    .service-card_content{
        padding-left: 15px;
    }
    /* responsive tech */
    .tech_items-container{
        gap: 1.5rem;
    }
    .tech_item{
        border-radius: 1rem;
        flex: 0 0 87px;
        height: 87px;
    }
    .tech_item_img{
        width: 45px;
    }
    /* responsive contact */
    .footer-nav{
        padding: 2rem;
        font-size: 0.85rem;
        gap: 1.5rem;
        margin-bottom: 0;
    }
    .footer-nav_items{
        gap: 1rem;
    }
}
/* Responsive Start */